POST/locations/request

Request New Location

Request new location

POST/locations/request

Parameter Details

NameInTypeRequiredDescription
bodybodyobjectRequirednone
» pickupLocationbodystringOptionalPickup location
» sourceNamebodystringOptionalSource of the pickup location

Responses

StatusMeaningDescriptionSchema
200OKLocation requested successfully
400Bad RequestBad RequestNone
401UnauthorizedAuthorization FailedNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /locations/request \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "pickupLocation": "string",
  "sourceName": "string"
}

Example responses

200 Response
{
  "locationRequestId": 1
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.